import axios from "@/utils/request";
// let baseUrlZc = 'https://api.xayunmei.com/zhongcaiapi';
let baseUrl = 'https://api.xayunmei.com/tiaojieapitest';
// let baseUrl = 'http://172.16.1.4:6001';
// 获取usersig
export function getUsersig(userId) {
    let appType = sessionStorage.getItem('type');
    if (appType == 'tiaojie') {
        return axios.get(`tiaojie/caseApplication/generateUserSign?userId=${userId}`);
    } else {
        return axios.get(`zhongcai/caseApplication/generateUserSign?userId=${userId}`);
    }
}
// 获取房间号
export function getRoomId(caseId) {
    let appType = sessionStorage.getItem('type');
    if (appType == 'tiaojie') {
        return axios.get(`tiaojie/caseApplication/createRoomId?caseId=${caseId}`);
    } else {
        return axios.get(`zhongcai/caseApplication/createRoomId?caseId=${caseId}`);
    }
}
// 根据案件id查询相关信息
export function reserveConferenceList(caseId) {
    let appType = sessionStorage.getItem('type');
    if (appType == 'tiaojie') {
        return axios.get(`tiaojie/caseApplication/reserveConferenceList?caseId=${caseId}`);
    } else {
        return axios.get(`zhongcai/caseApplication/reserveConferenceList?caseId=${caseId}`);
    }
    
}
//根据id查询密文信息
export function getEncryptInfoByid(caseId) {
        return axios.get(`tiaojie/shortMessage/getMeetingInfo?authId=${caseId}`);
}
// 案件列表
export function caseApplicationList(param) {
    return axios.get(`tiaojie/caseApplication/list?caseId=${param}`);
  }
// 签收案件
export function msCaseSign(data) {
        return axios.post(`tiaojie/mssignSeal/msCaseSign`, data);
}
//根据案件id获取附件
export function fileList(caseAppliId,annexTypeList) {
    return axios.get(`tiaojie/common/fileList?caseAppliId=${caseAppliId}&annexTypeList=${annexTypeList}`);
  }
// 确定会议结果
export function confirmMeetingResult(data) {
    return axios.post(`tiaojie/caseApplication/confirmMeetingResult`, data);
}
